import { InputContext } from '../../types/types';
declare type AnjControl = HTMLAnjInputElement;
export declare class FormGroup {
    anjControl: AnjControl;
    anjLabel: HTMLAnjLabelElement;
    context: InputContext;
    focused: boolean;
    invalid: boolean;
    componentDidLoad(): void;
    onInputDidLoad({ target }: CustomEvent): void;
    onLabelDidLoad({ target }: CustomEvent): void;
    onFocus(): void;
    onBlur(): void;
    onValidChanged({ detail }: CustomEvent): void;
    onContextChanged({ detail }: CustomEvent): void;
    render(): any;
}
export {};
